
function [MV]=Transform_W1(x,u,d,p,v,A)

%Defining states
T_1 = x(1);                                   %Temperature of tank 1 [degC]
T_2 = x(2);                                   %Temperature of tank 2 [degC]
h_1 = x(3);                                           %Height of tank 1 [m]
h_2 = x(4);                                           %Height of tank 2 [m]

%Defining inputs

F_2 = u(2);
F_1 = u(3);

%Defining disturbances
F_0 = d(1);                               %Flow of inlet to tank 1 [m3/min]
F_2d = d(2);                         %Flow of disturbance to tank 2 [m3/min]
T_2d = d(3);                    %Temperature of disturbance to tank 2 [degC]
F_1d = d(4);
T_1d = d(5);

%Defining parameters
A_1 = p(1);                                            %Area of tank 1 [m2]                                                     
A_2 = p(2);                                            %Area of tank 2 [m2]
c_p = p(3);                     %specific heat capacity of fluid [kJ/(kgK)]
rho = p(4);                                       %density of fluid [kg/m3]
g = p(5);                             %acceleration due to gravity [m/min2]

%Defining Transformed Inputs
v = v(1);

MV = ((v*A_2*h_2)-(T_1d*F_1d)-(T_2d*F_2d)+(T_2*F_2)+(A*T_2*A_2*h_2))/(F_0);


end

